> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pulsy.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bridge Addresses

> Returns bridge addresses whose on-chain contracts XFlow tracks across supported chains.



## OpenAPI

````yaml GET /v1/external/bridges/addresses
openapi: 3.0.1
info:
  title: ExternalAPI
  version: v1
servers:
  - url: https://api.pulsy.app
    description: XFlow Production API
security:
  - Basic: []
  - Bearer: []
paths:
  /v1/external/bridges/addresses:
    get:
      tags:
        - External
      description: >-
        Returns bridge addresses whose on-chain contracts XFlow tracks across
        supported chains.
      operationId: GetBridgeAddresses
      parameters:
        - name: BridgeKeys
          in: query
          description: >-
            Bridge key(s). Default is every bridge. Maximum 5 bridges allowed
            simultaneously.
          schema:
            maxItems: 5
            type: array
            items:
              type: string
        - name: Chains
          in: query
          description: >-
            Chain key(s). Default is every chain. Maximum 5 chains allowed
            simultaneously.
          schema:
            maxItems: 5
            type: array
            items:
              type: string
        - name: Take
          in: query
          description: >-
            Number of swaps received per request. Default is 100. Should be in
            [10..100].
          schema:
            maximum: 100
            minimum: 10
            type: integer
            format: int32
        - name: Cursor
          in: query
          description: Cursor for pagination.
          schema:
            maxLength: 1000
            type: string
        - name: Direction
          in: query
          description: Direction for pagination. Default is Next.
          schema:
            allOf:
              - $ref: '#/components/schemas/PaginationDirection'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/CursorPageOfBridgeAddressExported'
            application/json:
              schema:
                $ref: '#/components/schemas/CursorPageOfBridgeAddressExported'
            text/json:
              schema:
                $ref: '#/components/schemas/CursorPageOfBridgeAddressExported'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/DefaultValidationProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/DefaultValidationProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/DefaultValidationProblemDetails'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/DefaultProblemDetails'
                  - $ref: '#/components/schemas/UnconfirmedProblemDetails'
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/DefaultProblemDetails'
                  - $ref: '#/components/schemas/UnconfirmedProblemDetails'
            text/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/DefaultProblemDetails'
                  - $ref: '#/components/schemas/UnconfirmedProblemDetails'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/ProblemDetails'
                  - $ref: '#/components/schemas/HttpValidationProblemDetails'
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/ProblemDetails'
                  - $ref: '#/components/schemas/HttpValidationProblemDetails'
            text/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/ProblemDetails'
                  - $ref: '#/components/schemas/HttpValidationProblemDetails'
        default:
          description: Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/UnexpectedProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/UnexpectedProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/UnexpectedProblemDetails'
components:
  schemas:
    PaginationDirection:
      enum:
        - First
        - Next
        - Prev
      type: string
    CursorPageOfBridgeAddressExported:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/BridgeAddressExported'
          nullable: true
        nextCursor:
          type: string
          nullable: true
        currentCursor:
          type: string
          nullable: true
        hasNext:
          type: boolean
        hasPrev:
          type: boolean
      additionalProperties: false
    DefaultValidationProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          nullable: true
        errorCode:
          type: string
          nullable: true
      additionalProperties: {}
    DefaultProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        errorCode:
          type: string
          nullable: true
      additionalProperties: {}
    UnconfirmedProblemDetails:
      allOf:
        - $ref: '#/components/schemas/DefaultProblemDetails'
        - type: object
          properties:
            isUnconfirmed:
              type: boolean
          additionalProperties: {}
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    HttpValidationProblemDetails:
      allOf:
        - $ref: '#/components/schemas/ProblemDetails'
        - type: object
          properties:
            errors:
              type: object
              additionalProperties:
                type: array
                items:
                  type: string
              nullable: true
          additionalProperties: {}
    UnexpectedProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        timestamp:
          type: string
          format: date-time
        traceId:
          type: string
          nullable: true
      additionalProperties: {}
    BridgeAddressExported:
      type: object
      properties:
        bridgeKey:
          type: string
          description: Bridge key.
          nullable: true
        chain:
          type: string
          description: Blockchain key.
          nullable: true
        address:
          type: string
          description: Bridge address.
          nullable: true
        direction:
          allOf:
            - $ref: '#/components/schemas/AddressDirection'
          description: Address direction. Can be From or To.
        firstSeen:
          type: string
          description: The earliest timestamp when the address was seen.
          format: date-time
        lastSeen:
          type: string
          description: The latest timestamp when the address was seen.
          format: date-time
        swapsCount:
          type: integer
          description: Number of swaps where this address was found.
          format: int32
        usdVolume:
          type: number
          description: Total usd volume of all swaps with this address.
          format: double
      additionalProperties: false
      description: Bridge address through external API.
    AddressDirection:
      enum:
        - From
        - To
      type: string
  securitySchemes:
    Basic:
      type: http
      description: >-
        Basic auth required for external APIs. Example: "Authorization: Basic
        {base64EncodedPasswordString}"
      scheme: basic
    Bearer:
      type: apiKey
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.